// Generated by the gRPC C++ plugin.
// If you make any local change, they will be lost.
// source: import_sstpb.proto
#ifndef GRPC_import_5fsstpb_2eproto__INCLUDED
#define GRPC_import_5fsstpb_2eproto__INCLUDED

#include "import_sstpb.pb.h"

#include <functional>
#include <grpcpp/impl/codegen/async_generic_service.h>
#include <grpcpp/impl/codegen/async_stream.h>
#include <grpcpp/impl/codegen/async_unary_call.h>
#include <grpcpp/impl/codegen/client_callback.h>
#include <grpcpp/impl/codegen/client_context.h>
#include <grpcpp/impl/codegen/completion_queue.h>
#include <grpcpp/impl/codegen/message_allocator.h>
#include <grpcpp/impl/codegen/method_handler.h>
#include <grpcpp/impl/codegen/proto_utils.h>
#include <grpcpp/impl/codegen/rpc_method.h>
#include <grpcpp/impl/codegen/server_callback.h>
#include <grpcpp/impl/codegen/server_callback_handlers.h>
#include <grpcpp/impl/codegen/server_context.h>
#include <grpcpp/impl/codegen/service_type.h>
#include <grpcpp/impl/codegen/status.h>
#include <grpcpp/impl/codegen/stub_options.h>
#include <grpcpp/impl/codegen/sync_stream.h>

namespace import_sstpb {

// ImportSST provides a service to import a generated SST file to a region in TiKV.
//
// In order to import an SST file to a region, the user should:
// 1. Retrieve the meta of the region according to the SST file's range.
// 2. Upload the SST file to the servers where the region's peers locate in.
// 3. Issue an ingest request to the region's leader with the SST file's metadata.
//
// It's the user's responsibility to make sure that the SST file is uploaded to
// the servers where the region's peers locate in, before issue the ingest
// request to the region's leader. However, the region can be scheduled (so the
// location of the region's peers will be changed) or split/merged (so the range
// of the region will be changed), after the SST file is uploaded, but before
// the SST file is ingested. So, the region's epoch is provided in the SST
// file's metadata, to guarantee that the region's epoch must be the same
// between the SST file is uploaded and ingested later.
class ImportSST final {
 public:
  static constexpr char const* service_full_name() {
    return "import_sstpb.ImportSST";
  }
  class StubInterface {
   public:
    virtual ~StubInterface() {}
    // Switch to normal/import mode.
    virtual ::grpc::Status SwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::import_sstpb::SwitchModeResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SwitchModeResponse>> AsyncSwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SwitchModeResponse>>(AsyncSwitchModeRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SwitchModeResponse>> PrepareAsyncSwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SwitchModeResponse>>(PrepareAsyncSwitchModeRaw(context, request, cq));
    }
    // Get import mode(normal/import).
    virtual ::grpc::Status GetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::import_sstpb::GetModeResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::GetModeResponse>> AsyncGetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::GetModeResponse>>(AsyncGetModeRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::GetModeResponse>> PrepareAsyncGetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::GetModeResponse>>(PrepareAsyncGetModeRaw(context, request, cq));
    }
    // Upload an SST file to a server.
    std::unique_ptr< ::grpc::ClientWriterInterface< ::import_sstpb::UploadRequest>> Upload(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response) {
      return std::unique_ptr< ::grpc::ClientWriterInterface< ::import_sstpb::UploadRequest>>(UploadRaw(context, response));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::UploadRequest>> AsyncUpload(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::CompletionQueue* cq, void* tag) {
      return std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::UploadRequest>>(AsyncUploadRaw(context, response, cq, tag));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::UploadRequest>> PrepareAsyncUpload(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::UploadRequest>>(PrepareAsyncUploadRaw(context, response, cq));
    }
    // Ingest an uploaded SST file to a region.
    virtual ::grpc::Status Ingest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::import_sstpb::IngestResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>> AsyncIngest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>>(AsyncIngestRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>> PrepareAsyncIngest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>>(PrepareAsyncIngestRaw(context, request, cq));
    }
    // Compact the specific range for better performance.
    virtual ::grpc::Status Compact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::import_sstpb::CompactResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::CompactResponse>> AsyncCompact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::CompactResponse>>(AsyncCompactRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::CompactResponse>> PrepareAsyncCompact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::CompactResponse>>(PrepareAsyncCompactRaw(context, request, cq));
    }
    virtual ::grpc::Status SetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::import_sstpb::SetDownloadSpeedLimitResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SetDownloadSpeedLimitResponse>> AsyncSetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SetDownloadSpeedLimitResponse>>(AsyncSetDownloadSpeedLimitRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SetDownloadSpeedLimitResponse>> PrepareAsyncSetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SetDownloadSpeedLimitResponse>>(PrepareAsyncSetDownloadSpeedLimitRaw(context, request, cq));
    }
    // Download an SST file from an external storage, and performs key-rewrite
    // after downloading.
    virtual ::grpc::Status Download(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::import_sstpb::DownloadResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::DownloadResponse>> AsyncDownload(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::DownloadResponse>>(AsyncDownloadRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::DownloadResponse>> PrepareAsyncDownload(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::DownloadResponse>>(PrepareAsyncDownloadRaw(context, request, cq));
    }
    // Open a write stream to generate sst files
    std::unique_ptr< ::grpc::ClientWriterInterface< ::import_sstpb::WriteRequest>> Write(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response) {
      return std::unique_ptr< ::grpc::ClientWriterInterface< ::import_sstpb::WriteRequest>>(WriteRaw(context, response));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::WriteRequest>> AsyncWrite(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::CompletionQueue* cq, void* tag) {
      return std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::WriteRequest>>(AsyncWriteRaw(context, response, cq, tag));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::WriteRequest>> PrepareAsyncWrite(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::WriteRequest>>(PrepareAsyncWriteRaw(context, response, cq));
    }
    std::unique_ptr< ::grpc::ClientWriterInterface< ::import_sstpb::RawWriteRequest>> RawWrite(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response) {
      return std::unique_ptr< ::grpc::ClientWriterInterface< ::import_sstpb::RawWriteRequest>>(RawWriteRaw(context, response));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::RawWriteRequest>> AsyncRawWrite(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::CompletionQueue* cq, void* tag) {
      return std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::RawWriteRequest>>(AsyncRawWriteRaw(context, response, cq, tag));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::RawWriteRequest>> PrepareAsyncRawWrite(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncWriterInterface< ::import_sstpb::RawWriteRequest>>(PrepareAsyncRawWriteRaw(context, response, cq));
    }
    // Ingest Multiple files in one request
    virtual ::grpc::Status MultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::import_sstpb::IngestResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>> AsyncMultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>>(AsyncMultiIngestRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>> PrepareAsyncMultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>>(PrepareAsyncMultiIngestRaw(context, request, cq));
    }
    // Collect duplicate data from TiKV.
    std::unique_ptr< ::grpc::ClientReaderInterface< ::import_sstpb::DuplicateDetectResponse>> DuplicateDetect(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request) {
      return std::unique_ptr< ::grpc::ClientReaderInterface< ::import_sstpb::DuplicateDetectResponse>>(DuplicateDetectRaw(context, request));
    }
    std::unique_ptr< ::grpc::ClientAsyncReaderInterface< ::import_sstpb::DuplicateDetectResponse>> AsyncDuplicateDetect(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request, ::grpc::CompletionQueue* cq, void* tag) {
      return std::unique_ptr< ::grpc::ClientAsyncReaderInterface< ::import_sstpb::DuplicateDetectResponse>>(AsyncDuplicateDetectRaw(context, request, cq, tag));
    }
    std::unique_ptr< ::grpc::ClientAsyncReaderInterface< ::import_sstpb::DuplicateDetectResponse>> PrepareAsyncDuplicateDetect(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncReaderInterface< ::import_sstpb::DuplicateDetectResponse>>(PrepareAsyncDuplicateDetectRaw(context, request, cq));
    }
    // Apply download & apply increment kv files to TiKV.
    virtual ::grpc::Status Apply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::import_sstpb::ApplyResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ApplyResponse>> AsyncApply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ApplyResponse>>(AsyncApplyRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ApplyResponse>> PrepareAsyncApply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ApplyResponse>>(PrepareAsyncApplyRaw(context, request, cq));
    }
    // ClearFiles clear applied file after restore succeed.
    virtual ::grpc::Status ClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::import_sstpb::ClearResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ClearResponse>> AsyncClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ClearResponse>>(AsyncClearFilesRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ClearResponse>> PrepareAsyncClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ClearResponse>>(PrepareAsyncClearFilesRaw(context, request, cq));
    }
    // Suspend ingest for data listeners don't support catching import data.
    virtual ::grpc::Status SuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::import_sstpb::SuspendImportRPCResponse* response) = 0;
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SuspendImportRPCResponse>> AsyncSuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SuspendImportRPCResponse>>(AsyncSuspendImportRPCRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SuspendImportRPCResponse>> PrepareAsyncSuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SuspendImportRPCResponse>>(PrepareAsyncSuspendImportRPCRaw(context, request, cq));
    }
    class async_interface {
     public:
      virtual ~async_interface() {}
      // Switch to normal/import mode.
      virtual void SwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest* request, ::import_sstpb::SwitchModeResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void SwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest* request, ::import_sstpb::SwitchModeResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      // Get import mode(normal/import).
      virtual void GetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest* request, ::import_sstpb::GetModeResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void GetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest* request, ::import_sstpb::GetModeResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      // Upload an SST file to a server.
      virtual void Upload(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::ClientWriteReactor< ::import_sstpb::UploadRequest>* reactor) = 0;
      // Ingest an uploaded SST file to a region.
      virtual void Ingest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest* request, ::import_sstpb::IngestResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void Ingest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest* request, ::import_sstpb::IngestResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      // Compact the specific range for better performance.
      virtual void Compact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest* request, ::import_sstpb::CompactResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void Compact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest* request, ::import_sstpb::CompactResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      virtual void SetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest* request, ::import_sstpb::SetDownloadSpeedLimitResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void SetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest* request, ::import_sstpb::SetDownloadSpeedLimitResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      // Download an SST file from an external storage, and performs key-rewrite
      // after downloading.
      virtual void Download(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest* request, ::import_sstpb::DownloadResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void Download(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest* request, ::import_sstpb::DownloadResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      // Open a write stream to generate sst files
      virtual void Write(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::ClientWriteReactor< ::import_sstpb::WriteRequest>* reactor) = 0;
      virtual void RawWrite(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::ClientWriteReactor< ::import_sstpb::RawWriteRequest>* reactor) = 0;
      // Ingest Multiple files in one request
      virtual void MultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest* request, ::import_sstpb::IngestResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void MultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest* request, ::import_sstpb::IngestResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      // Collect duplicate data from TiKV.
      virtual void DuplicateDetect(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest* request, ::grpc::ClientReadReactor< ::import_sstpb::DuplicateDetectResponse>* reactor) = 0;
      // Apply download & apply increment kv files to TiKV.
      virtual void Apply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest* request, ::import_sstpb::ApplyResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void Apply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest* request, ::import_sstpb::ApplyResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      // ClearFiles clear applied file after restore succeed.
      virtual void ClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest* request, ::import_sstpb::ClearResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void ClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest* request, ::import_sstpb::ClearResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
      // Suspend ingest for data listeners don't support catching import data.
      virtual void SuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest* request, ::import_sstpb::SuspendImportRPCResponse* response, std::function<void(::grpc::Status)>) = 0;
      virtual void SuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest* request, ::import_sstpb::SuspendImportRPCResponse* response, ::grpc::ClientUnaryReactor* reactor) = 0;
    };
    typedef class async_interface experimental_async_interface;
    virtual class async_interface* async() { return nullptr; }
    class async_interface* experimental_async() { return async(); }
   private:
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SwitchModeResponse>* AsyncSwitchModeRaw(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SwitchModeResponse>* PrepareAsyncSwitchModeRaw(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::GetModeResponse>* AsyncGetModeRaw(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::GetModeResponse>* PrepareAsyncGetModeRaw(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientWriterInterface< ::import_sstpb::UploadRequest>* UploadRaw(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response) = 0;
    virtual ::grpc::ClientAsyncWriterInterface< ::import_sstpb::UploadRequest>* AsyncUploadRaw(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::CompletionQueue* cq, void* tag) = 0;
    virtual ::grpc::ClientAsyncWriterInterface< ::import_sstpb::UploadRequest>* PrepareAsyncUploadRaw(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>* AsyncIngestRaw(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>* PrepareAsyncIngestRaw(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::CompactResponse>* AsyncCompactRaw(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::CompactResponse>* PrepareAsyncCompactRaw(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SetDownloadSpeedLimitResponse>* AsyncSetDownloadSpeedLimitRaw(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SetDownloadSpeedLimitResponse>* PrepareAsyncSetDownloadSpeedLimitRaw(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::DownloadResponse>* AsyncDownloadRaw(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::DownloadResponse>* PrepareAsyncDownloadRaw(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientWriterInterface< ::import_sstpb::WriteRequest>* WriteRaw(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response) = 0;
    virtual ::grpc::ClientAsyncWriterInterface< ::import_sstpb::WriteRequest>* AsyncWriteRaw(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::CompletionQueue* cq, void* tag) = 0;
    virtual ::grpc::ClientAsyncWriterInterface< ::import_sstpb::WriteRequest>* PrepareAsyncWriteRaw(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientWriterInterface< ::import_sstpb::RawWriteRequest>* RawWriteRaw(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response) = 0;
    virtual ::grpc::ClientAsyncWriterInterface< ::import_sstpb::RawWriteRequest>* AsyncRawWriteRaw(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::CompletionQueue* cq, void* tag) = 0;
    virtual ::grpc::ClientAsyncWriterInterface< ::import_sstpb::RawWriteRequest>* PrepareAsyncRawWriteRaw(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>* AsyncMultiIngestRaw(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::IngestResponse>* PrepareAsyncMultiIngestRaw(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientReaderInterface< ::import_sstpb::DuplicateDetectResponse>* DuplicateDetectRaw(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request) = 0;
    virtual ::grpc::ClientAsyncReaderInterface< ::import_sstpb::DuplicateDetectResponse>* AsyncDuplicateDetectRaw(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request, ::grpc::CompletionQueue* cq, void* tag) = 0;
    virtual ::grpc::ClientAsyncReaderInterface< ::import_sstpb::DuplicateDetectResponse>* PrepareAsyncDuplicateDetectRaw(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ApplyResponse>* AsyncApplyRaw(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ApplyResponse>* PrepareAsyncApplyRaw(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ClearResponse>* AsyncClearFilesRaw(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::ClearResponse>* PrepareAsyncClearFilesRaw(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SuspendImportRPCResponse>* AsyncSuspendImportRPCRaw(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::grpc::CompletionQueue* cq) = 0;
    virtual ::grpc::ClientAsyncResponseReaderInterface< ::import_sstpb::SuspendImportRPCResponse>* PrepareAsyncSuspendImportRPCRaw(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::grpc::CompletionQueue* cq) = 0;
  };
  class Stub final : public StubInterface {
   public:
    Stub(const std::shared_ptr< ::grpc::ChannelInterface>& channel, const ::grpc::StubOptions& options = ::grpc::StubOptions());
    ::grpc::Status SwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::import_sstpb::SwitchModeResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SwitchModeResponse>> AsyncSwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SwitchModeResponse>>(AsyncSwitchModeRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SwitchModeResponse>> PrepareAsyncSwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SwitchModeResponse>>(PrepareAsyncSwitchModeRaw(context, request, cq));
    }
    ::grpc::Status GetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::import_sstpb::GetModeResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::GetModeResponse>> AsyncGetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::GetModeResponse>>(AsyncGetModeRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::GetModeResponse>> PrepareAsyncGetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::GetModeResponse>>(PrepareAsyncGetModeRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientWriter< ::import_sstpb::UploadRequest>> Upload(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response) {
      return std::unique_ptr< ::grpc::ClientWriter< ::import_sstpb::UploadRequest>>(UploadRaw(context, response));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::UploadRequest>> AsyncUpload(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::CompletionQueue* cq, void* tag) {
      return std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::UploadRequest>>(AsyncUploadRaw(context, response, cq, tag));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::UploadRequest>> PrepareAsyncUpload(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::UploadRequest>>(PrepareAsyncUploadRaw(context, response, cq));
    }
    ::grpc::Status Ingest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::import_sstpb::IngestResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>> AsyncIngest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>>(AsyncIngestRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>> PrepareAsyncIngest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>>(PrepareAsyncIngestRaw(context, request, cq));
    }
    ::grpc::Status Compact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::import_sstpb::CompactResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::CompactResponse>> AsyncCompact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::CompactResponse>>(AsyncCompactRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::CompactResponse>> PrepareAsyncCompact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::CompactResponse>>(PrepareAsyncCompactRaw(context, request, cq));
    }
    ::grpc::Status SetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::import_sstpb::SetDownloadSpeedLimitResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SetDownloadSpeedLimitResponse>> AsyncSetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SetDownloadSpeedLimitResponse>>(AsyncSetDownloadSpeedLimitRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SetDownloadSpeedLimitResponse>> PrepareAsyncSetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SetDownloadSpeedLimitResponse>>(PrepareAsyncSetDownloadSpeedLimitRaw(context, request, cq));
    }
    ::grpc::Status Download(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::import_sstpb::DownloadResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::DownloadResponse>> AsyncDownload(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::DownloadResponse>>(AsyncDownloadRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::DownloadResponse>> PrepareAsyncDownload(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::DownloadResponse>>(PrepareAsyncDownloadRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientWriter< ::import_sstpb::WriteRequest>> Write(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response) {
      return std::unique_ptr< ::grpc::ClientWriter< ::import_sstpb::WriteRequest>>(WriteRaw(context, response));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::WriteRequest>> AsyncWrite(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::CompletionQueue* cq, void* tag) {
      return std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::WriteRequest>>(AsyncWriteRaw(context, response, cq, tag));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::WriteRequest>> PrepareAsyncWrite(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::WriteRequest>>(PrepareAsyncWriteRaw(context, response, cq));
    }
    std::unique_ptr< ::grpc::ClientWriter< ::import_sstpb::RawWriteRequest>> RawWrite(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response) {
      return std::unique_ptr< ::grpc::ClientWriter< ::import_sstpb::RawWriteRequest>>(RawWriteRaw(context, response));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::RawWriteRequest>> AsyncRawWrite(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::CompletionQueue* cq, void* tag) {
      return std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::RawWriteRequest>>(AsyncRawWriteRaw(context, response, cq, tag));
    }
    std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::RawWriteRequest>> PrepareAsyncRawWrite(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncWriter< ::import_sstpb::RawWriteRequest>>(PrepareAsyncRawWriteRaw(context, response, cq));
    }
    ::grpc::Status MultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::import_sstpb::IngestResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>> AsyncMultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>>(AsyncMultiIngestRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>> PrepareAsyncMultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>>(PrepareAsyncMultiIngestRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientReader< ::import_sstpb::DuplicateDetectResponse>> DuplicateDetect(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request) {
      return std::unique_ptr< ::grpc::ClientReader< ::import_sstpb::DuplicateDetectResponse>>(DuplicateDetectRaw(context, request));
    }
    std::unique_ptr< ::grpc::ClientAsyncReader< ::import_sstpb::DuplicateDetectResponse>> AsyncDuplicateDetect(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request, ::grpc::CompletionQueue* cq, void* tag) {
      return std::unique_ptr< ::grpc::ClientAsyncReader< ::import_sstpb::DuplicateDetectResponse>>(AsyncDuplicateDetectRaw(context, request, cq, tag));
    }
    std::unique_ptr< ::grpc::ClientAsyncReader< ::import_sstpb::DuplicateDetectResponse>> PrepareAsyncDuplicateDetect(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncReader< ::import_sstpb::DuplicateDetectResponse>>(PrepareAsyncDuplicateDetectRaw(context, request, cq));
    }
    ::grpc::Status Apply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::import_sstpb::ApplyResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::ApplyResponse>> AsyncApply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::ApplyResponse>>(AsyncApplyRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::ApplyResponse>> PrepareAsyncApply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::ApplyResponse>>(PrepareAsyncApplyRaw(context, request, cq));
    }
    ::grpc::Status ClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::import_sstpb::ClearResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::ClearResponse>> AsyncClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::ClearResponse>>(AsyncClearFilesRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::ClearResponse>> PrepareAsyncClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::ClearResponse>>(PrepareAsyncClearFilesRaw(context, request, cq));
    }
    ::grpc::Status SuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::import_sstpb::SuspendImportRPCResponse* response) override;
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SuspendImportRPCResponse>> AsyncSuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SuspendImportRPCResponse>>(AsyncSuspendImportRPCRaw(context, request, cq));
    }
    std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SuspendImportRPCResponse>> PrepareAsyncSuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::grpc::CompletionQueue* cq) {
      return std::unique_ptr< ::grpc::ClientAsyncResponseReader< ::import_sstpb::SuspendImportRPCResponse>>(PrepareAsyncSuspendImportRPCRaw(context, request, cq));
    }
    class async final :
      public StubInterface::async_interface {
     public:
      void SwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest* request, ::import_sstpb::SwitchModeResponse* response, std::function<void(::grpc::Status)>) override;
      void SwitchMode(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest* request, ::import_sstpb::SwitchModeResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void GetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest* request, ::import_sstpb::GetModeResponse* response, std::function<void(::grpc::Status)>) override;
      void GetMode(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest* request, ::import_sstpb::GetModeResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void Upload(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::ClientWriteReactor< ::import_sstpb::UploadRequest>* reactor) override;
      void Ingest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest* request, ::import_sstpb::IngestResponse* response, std::function<void(::grpc::Status)>) override;
      void Ingest(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest* request, ::import_sstpb::IngestResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void Compact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest* request, ::import_sstpb::CompactResponse* response, std::function<void(::grpc::Status)>) override;
      void Compact(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest* request, ::import_sstpb::CompactResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void SetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest* request, ::import_sstpb::SetDownloadSpeedLimitResponse* response, std::function<void(::grpc::Status)>) override;
      void SetDownloadSpeedLimit(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest* request, ::import_sstpb::SetDownloadSpeedLimitResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void Download(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest* request, ::import_sstpb::DownloadResponse* response, std::function<void(::grpc::Status)>) override;
      void Download(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest* request, ::import_sstpb::DownloadResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void Write(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::ClientWriteReactor< ::import_sstpb::WriteRequest>* reactor) override;
      void RawWrite(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::ClientWriteReactor< ::import_sstpb::RawWriteRequest>* reactor) override;
      void MultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest* request, ::import_sstpb::IngestResponse* response, std::function<void(::grpc::Status)>) override;
      void MultiIngest(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest* request, ::import_sstpb::IngestResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void DuplicateDetect(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest* request, ::grpc::ClientReadReactor< ::import_sstpb::DuplicateDetectResponse>* reactor) override;
      void Apply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest* request, ::import_sstpb::ApplyResponse* response, std::function<void(::grpc::Status)>) override;
      void Apply(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest* request, ::import_sstpb::ApplyResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void ClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest* request, ::import_sstpb::ClearResponse* response, std::function<void(::grpc::Status)>) override;
      void ClearFiles(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest* request, ::import_sstpb::ClearResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
      void SuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest* request, ::import_sstpb::SuspendImportRPCResponse* response, std::function<void(::grpc::Status)>) override;
      void SuspendImportRPC(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest* request, ::import_sstpb::SuspendImportRPCResponse* response, ::grpc::ClientUnaryReactor* reactor) override;
     private:
      friend class Stub;
      explicit async(Stub* stub): stub_(stub) { }
      Stub* stub() { return stub_; }
      Stub* stub_;
    };
    class async* async() override { return &async_stub_; }

   private:
    std::shared_ptr< ::grpc::ChannelInterface> channel_;
    class async async_stub_{this};
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::SwitchModeResponse>* AsyncSwitchModeRaw(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::SwitchModeResponse>* PrepareAsyncSwitchModeRaw(::grpc::ClientContext* context, const ::import_sstpb::SwitchModeRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::GetModeResponse>* AsyncGetModeRaw(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::GetModeResponse>* PrepareAsyncGetModeRaw(::grpc::ClientContext* context, const ::import_sstpb::GetModeRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientWriter< ::import_sstpb::UploadRequest>* UploadRaw(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response) override;
    ::grpc::ClientAsyncWriter< ::import_sstpb::UploadRequest>* AsyncUploadRaw(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::CompletionQueue* cq, void* tag) override;
    ::grpc::ClientAsyncWriter< ::import_sstpb::UploadRequest>* PrepareAsyncUploadRaw(::grpc::ClientContext* context, ::import_sstpb::UploadResponse* response, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>* AsyncIngestRaw(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>* PrepareAsyncIngestRaw(::grpc::ClientContext* context, const ::import_sstpb::IngestRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::CompactResponse>* AsyncCompactRaw(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::CompactResponse>* PrepareAsyncCompactRaw(::grpc::ClientContext* context, const ::import_sstpb::CompactRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::SetDownloadSpeedLimitResponse>* AsyncSetDownloadSpeedLimitRaw(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::SetDownloadSpeedLimitResponse>* PrepareAsyncSetDownloadSpeedLimitRaw(::grpc::ClientContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::DownloadResponse>* AsyncDownloadRaw(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::DownloadResponse>* PrepareAsyncDownloadRaw(::grpc::ClientContext* context, const ::import_sstpb::DownloadRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientWriter< ::import_sstpb::WriteRequest>* WriteRaw(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response) override;
    ::grpc::ClientAsyncWriter< ::import_sstpb::WriteRequest>* AsyncWriteRaw(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::CompletionQueue* cq, void* tag) override;
    ::grpc::ClientAsyncWriter< ::import_sstpb::WriteRequest>* PrepareAsyncWriteRaw(::grpc::ClientContext* context, ::import_sstpb::WriteResponse* response, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientWriter< ::import_sstpb::RawWriteRequest>* RawWriteRaw(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response) override;
    ::grpc::ClientAsyncWriter< ::import_sstpb::RawWriteRequest>* AsyncRawWriteRaw(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::CompletionQueue* cq, void* tag) override;
    ::grpc::ClientAsyncWriter< ::import_sstpb::RawWriteRequest>* PrepareAsyncRawWriteRaw(::grpc::ClientContext* context, ::import_sstpb::RawWriteResponse* response, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>* AsyncMultiIngestRaw(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::IngestResponse>* PrepareAsyncMultiIngestRaw(::grpc::ClientContext* context, const ::import_sstpb::MultiIngestRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientReader< ::import_sstpb::DuplicateDetectResponse>* DuplicateDetectRaw(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request) override;
    ::grpc::ClientAsyncReader< ::import_sstpb::DuplicateDetectResponse>* AsyncDuplicateDetectRaw(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request, ::grpc::CompletionQueue* cq, void* tag) override;
    ::grpc::ClientAsyncReader< ::import_sstpb::DuplicateDetectResponse>* PrepareAsyncDuplicateDetectRaw(::grpc::ClientContext* context, const ::import_sstpb::DuplicateDetectRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::ApplyResponse>* AsyncApplyRaw(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::ApplyResponse>* PrepareAsyncApplyRaw(::grpc::ClientContext* context, const ::import_sstpb::ApplyRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::ClearResponse>* AsyncClearFilesRaw(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::ClearResponse>* PrepareAsyncClearFilesRaw(::grpc::ClientContext* context, const ::import_sstpb::ClearRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::SuspendImportRPCResponse>* AsyncSuspendImportRPCRaw(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::grpc::CompletionQueue* cq) override;
    ::grpc::ClientAsyncResponseReader< ::import_sstpb::SuspendImportRPCResponse>* PrepareAsyncSuspendImportRPCRaw(::grpc::ClientContext* context, const ::import_sstpb::SuspendImportRPCRequest& request, ::grpc::CompletionQueue* cq) override;
    const ::grpc::internal::RpcMethod rpcmethod_SwitchMode_;
    const ::grpc::internal::RpcMethod rpcmethod_GetMode_;
    const ::grpc::internal::RpcMethod rpcmethod_Upload_;
    const ::grpc::internal::RpcMethod rpcmethod_Ingest_;
    const ::grpc::internal::RpcMethod rpcmethod_Compact_;
    const ::grpc::internal::RpcMethod rpcmethod_SetDownloadSpeedLimit_;
    const ::grpc::internal::RpcMethod rpcmethod_Download_;
    const ::grpc::internal::RpcMethod rpcmethod_Write_;
    const ::grpc::internal::RpcMethod rpcmethod_RawWrite_;
    const ::grpc::internal::RpcMethod rpcmethod_MultiIngest_;
    const ::grpc::internal::RpcMethod rpcmethod_DuplicateDetect_;
    const ::grpc::internal::RpcMethod rpcmethod_Apply_;
    const ::grpc::internal::RpcMethod rpcmethod_ClearFiles_;
    const ::grpc::internal::RpcMethod rpcmethod_SuspendImportRPC_;
  };
  static std::unique_ptr<Stub> NewStub(const std::shared_ptr< ::grpc::ChannelInterface>& channel, const ::grpc::StubOptions& options = ::grpc::StubOptions());

  class Service : public ::grpc::Service {
   public:
    Service();
    virtual ~Service();
    // Switch to normal/import mode.
    virtual ::grpc::Status SwitchMode(::grpc::ServerContext* context, const ::import_sstpb::SwitchModeRequest* request, ::import_sstpb::SwitchModeResponse* response);
    // Get import mode(normal/import).
    virtual ::grpc::Status GetMode(::grpc::ServerContext* context, const ::import_sstpb::GetModeRequest* request, ::import_sstpb::GetModeResponse* response);
    // Upload an SST file to a server.
    virtual ::grpc::Status Upload(::grpc::ServerContext* context, ::grpc::ServerReader< ::import_sstpb::UploadRequest>* reader, ::import_sstpb::UploadResponse* response);
    // Ingest an uploaded SST file to a region.
    virtual ::grpc::Status Ingest(::grpc::ServerContext* context, const ::import_sstpb::IngestRequest* request, ::import_sstpb::IngestResponse* response);
    // Compact the specific range for better performance.
    virtual ::grpc::Status Compact(::grpc::ServerContext* context, const ::import_sstpb::CompactRequest* request, ::import_sstpb::CompactResponse* response);
    virtual ::grpc::Status SetDownloadSpeedLimit(::grpc::ServerContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest* request, ::import_sstpb::SetDownloadSpeedLimitResponse* response);
    // Download an SST file from an external storage, and performs key-rewrite
    // after downloading.
    virtual ::grpc::Status Download(::grpc::ServerContext* context, const ::import_sstpb::DownloadRequest* request, ::import_sstpb::DownloadResponse* response);
    // Open a write stream to generate sst files
    virtual ::grpc::Status Write(::grpc::ServerContext* context, ::grpc::ServerReader< ::import_sstpb::WriteRequest>* reader, ::import_sstpb::WriteResponse* response);
    virtual ::grpc::Status RawWrite(::grpc::ServerContext* context, ::grpc::ServerReader< ::import_sstpb::RawWriteRequest>* reader, ::import_sstpb::RawWriteResponse* response);
    // Ingest Multiple files in one request
    virtual ::grpc::Status MultiIngest(::grpc::ServerContext* context, const ::import_sstpb::MultiIngestRequest* request, ::import_sstpb::IngestResponse* response);
    // Collect duplicate data from TiKV.
    virtual ::grpc::Status DuplicateDetect(::grpc::ServerContext* context, const ::import_sstpb::DuplicateDetectRequest* request, ::grpc::ServerWriter< ::import_sstpb::DuplicateDetectResponse>* writer);
    // Apply download & apply increment kv files to TiKV.
    virtual ::grpc::Status Apply(::grpc::ServerContext* context, const ::import_sstpb::ApplyRequest* request, ::import_sstpb::ApplyResponse* response);
    // ClearFiles clear applied file after restore succeed.
    virtual ::grpc::Status ClearFiles(::grpc::ServerContext* context, const ::import_sstpb::ClearRequest* request, ::import_sstpb::ClearResponse* response);
    // Suspend ingest for data listeners don't support catching import data.
    virtual ::grpc::Status SuspendImportRPC(::grpc::ServerContext* context, const ::import_sstpb::SuspendImportRPCRequest* request, ::import_sstpb::SuspendImportRPCResponse* response);
  };
  template <class BaseClass>
  class WithAsyncMethod_SwitchMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_SwitchMode() {
      ::grpc::Service::MarkMethodAsync(0);
    }
    ~WithAsyncMethod_SwitchMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SwitchMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::SwitchModeRequest* /*request*/, ::import_sstpb::SwitchModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestSwitchMode(::grpc::ServerContext* context, ::import_sstpb::SwitchModeRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::SwitchModeResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(0, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_GetMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_GetMode() {
      ::grpc::Service::MarkMethodAsync(1);
    }
    ~WithAsyncMethod_GetMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status GetMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::GetModeRequest* /*request*/, ::import_sstpb::GetModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestGetMode(::grpc::ServerContext* context, ::import_sstpb::GetModeRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::GetModeResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(1, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_Upload : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_Upload() {
      ::grpc::Service::MarkMethodAsync(2);
    }
    ~WithAsyncMethod_Upload() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Upload(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::UploadRequest>* /*reader*/, ::import_sstpb::UploadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestUpload(::grpc::ServerContext* context, ::grpc::ServerAsyncReader< ::import_sstpb::UploadResponse, ::import_sstpb::UploadRequest>* reader, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncClientStreaming(2, context, reader, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_Ingest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_Ingest() {
      ::grpc::Service::MarkMethodAsync(3);
    }
    ~WithAsyncMethod_Ingest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Ingest(::grpc::ServerContext* /*context*/, const ::import_sstpb::IngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestIngest(::grpc::ServerContext* context, ::import_sstpb::IngestRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::IngestResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(3, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_Compact : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_Compact() {
      ::grpc::Service::MarkMethodAsync(4);
    }
    ~WithAsyncMethod_Compact() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Compact(::grpc::ServerContext* /*context*/, const ::import_sstpb::CompactRequest* /*request*/, ::import_sstpb::CompactResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestCompact(::grpc::ServerContext* context, ::import_sstpb::CompactRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::CompactResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(4, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_SetDownloadSpeedLimit : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_SetDownloadSpeedLimit() {
      ::grpc::Service::MarkMethodAsync(5);
    }
    ~WithAsyncMethod_SetDownloadSpeedLimit() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SetDownloadSpeedLimit(::grpc::ServerContext* /*context*/, const ::import_sstpb::SetDownloadSpeedLimitRequest* /*request*/, ::import_sstpb::SetDownloadSpeedLimitResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestSetDownloadSpeedLimit(::grpc::ServerContext* context, ::import_sstpb::SetDownloadSpeedLimitRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::SetDownloadSpeedLimitResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(5, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_Download : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_Download() {
      ::grpc::Service::MarkMethodAsync(6);
    }
    ~WithAsyncMethod_Download() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Download(::grpc::ServerContext* /*context*/, const ::import_sstpb::DownloadRequest* /*request*/, ::import_sstpb::DownloadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestDownload(::grpc::ServerContext* context, ::import_sstpb::DownloadRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::DownloadResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(6, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_Write : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_Write() {
      ::grpc::Service::MarkMethodAsync(7);
    }
    ~WithAsyncMethod_Write() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Write(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::WriteRequest>* /*reader*/, ::import_sstpb::WriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestWrite(::grpc::ServerContext* context, ::grpc::ServerAsyncReader< ::import_sstpb::WriteResponse, ::import_sstpb::WriteRequest>* reader, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncClientStreaming(7, context, reader, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_RawWrite : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_RawWrite() {
      ::grpc::Service::MarkMethodAsync(8);
    }
    ~WithAsyncMethod_RawWrite() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status RawWrite(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::RawWriteRequest>* /*reader*/, ::import_sstpb::RawWriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestRawWrite(::grpc::ServerContext* context, ::grpc::ServerAsyncReader< ::import_sstpb::RawWriteResponse, ::import_sstpb::RawWriteRequest>* reader, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncClientStreaming(8, context, reader, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_MultiIngest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_MultiIngest() {
      ::grpc::Service::MarkMethodAsync(9);
    }
    ~WithAsyncMethod_MultiIngest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status MultiIngest(::grpc::ServerContext* /*context*/, const ::import_sstpb::MultiIngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestMultiIngest(::grpc::ServerContext* context, ::import_sstpb::MultiIngestRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::IngestResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(9, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_DuplicateDetect : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_DuplicateDetect() {
      ::grpc::Service::MarkMethodAsync(10);
    }
    ~WithAsyncMethod_DuplicateDetect() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status DuplicateDetect(::grpc::ServerContext* /*context*/, const ::import_sstpb::DuplicateDetectRequest* /*request*/, ::grpc::ServerWriter< ::import_sstpb::DuplicateDetectResponse>* /*writer*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestDuplicateDetect(::grpc::ServerContext* context, ::import_sstpb::DuplicateDetectRequest* request, ::grpc::ServerAsyncWriter< ::import_sstpb::DuplicateDetectResponse>* writer, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncServerStreaming(10, context, request, writer, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_Apply : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_Apply() {
      ::grpc::Service::MarkMethodAsync(11);
    }
    ~WithAsyncMethod_Apply() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Apply(::grpc::ServerContext* /*context*/, const ::import_sstpb::ApplyRequest* /*request*/, ::import_sstpb::ApplyResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestApply(::grpc::ServerContext* context, ::import_sstpb::ApplyRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::ApplyResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(11, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_ClearFiles : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_ClearFiles() {
      ::grpc::Service::MarkMethodAsync(12);
    }
    ~WithAsyncMethod_ClearFiles() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status ClearFiles(::grpc::ServerContext* /*context*/, const ::import_sstpb::ClearRequest* /*request*/, ::import_sstpb::ClearResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestClearFiles(::grpc::ServerContext* context, ::import_sstpb::ClearRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::ClearResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(12, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithAsyncMethod_SuspendImportRPC : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithAsyncMethod_SuspendImportRPC() {
      ::grpc::Service::MarkMethodAsync(13);
    }
    ~WithAsyncMethod_SuspendImportRPC() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SuspendImportRPC(::grpc::ServerContext* /*context*/, const ::import_sstpb::SuspendImportRPCRequest* /*request*/, ::import_sstpb::SuspendImportRPCResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestSuspendImportRPC(::grpc::ServerContext* context, ::import_sstpb::SuspendImportRPCRequest* request, ::grpc::ServerAsyncResponseWriter< ::import_sstpb::SuspendImportRPCResponse>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(13, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  typedef WithAsyncMethod_SwitchMode<WithAsyncMethod_GetMode<WithAsyncMethod_Upload<WithAsyncMethod_Ingest<WithAsyncMethod_Compact<WithAsyncMethod_SetDownloadSpeedLimit<WithAsyncMethod_Download<WithAsyncMethod_Write<WithAsyncMethod_RawWrite<WithAsyncMethod_MultiIngest<WithAsyncMethod_DuplicateDetect<WithAsyncMethod_Apply<WithAsyncMethod_ClearFiles<WithAsyncMethod_SuspendImportRPC<Service > > > > > > > > > > > > > > AsyncService;
  template <class BaseClass>
  class WithCallbackMethod_SwitchMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_SwitchMode() {
      ::grpc::Service::MarkMethodCallback(0,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::SwitchModeRequest, ::import_sstpb::SwitchModeResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::SwitchModeRequest* request, ::import_sstpb::SwitchModeResponse* response) { return this->SwitchMode(context, request, response); }));}
    void SetMessageAllocatorFor_SwitchMode(
        ::grpc::MessageAllocator< ::import_sstpb::SwitchModeRequest, ::import_sstpb::SwitchModeResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(0);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::SwitchModeRequest, ::import_sstpb::SwitchModeResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_SwitchMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SwitchMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::SwitchModeRequest* /*request*/, ::import_sstpb::SwitchModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* SwitchMode(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::SwitchModeRequest* /*request*/, ::import_sstpb::SwitchModeResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_GetMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_GetMode() {
      ::grpc::Service::MarkMethodCallback(1,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::GetModeRequest, ::import_sstpb::GetModeResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::GetModeRequest* request, ::import_sstpb::GetModeResponse* response) { return this->GetMode(context, request, response); }));}
    void SetMessageAllocatorFor_GetMode(
        ::grpc::MessageAllocator< ::import_sstpb::GetModeRequest, ::import_sstpb::GetModeResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(1);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::GetModeRequest, ::import_sstpb::GetModeResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_GetMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status GetMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::GetModeRequest* /*request*/, ::import_sstpb::GetModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* GetMode(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::GetModeRequest* /*request*/, ::import_sstpb::GetModeResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_Upload : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_Upload() {
      ::grpc::Service::MarkMethodCallback(2,
          new ::grpc::internal::CallbackClientStreamingHandler< ::import_sstpb::UploadRequest, ::import_sstpb::UploadResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, ::import_sstpb::UploadResponse* response) { return this->Upload(context, response); }));
    }
    ~WithCallbackMethod_Upload() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Upload(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::UploadRequest>* /*reader*/, ::import_sstpb::UploadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerReadReactor< ::import_sstpb::UploadRequest>* Upload(
      ::grpc::CallbackServerContext* /*context*/, ::import_sstpb::UploadResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_Ingest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_Ingest() {
      ::grpc::Service::MarkMethodCallback(3,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::IngestRequest, ::import_sstpb::IngestResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::IngestRequest* request, ::import_sstpb::IngestResponse* response) { return this->Ingest(context, request, response); }));}
    void SetMessageAllocatorFor_Ingest(
        ::grpc::MessageAllocator< ::import_sstpb::IngestRequest, ::import_sstpb::IngestResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(3);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::IngestRequest, ::import_sstpb::IngestResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_Ingest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Ingest(::grpc::ServerContext* /*context*/, const ::import_sstpb::IngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* Ingest(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::IngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_Compact : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_Compact() {
      ::grpc::Service::MarkMethodCallback(4,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::CompactRequest, ::import_sstpb::CompactResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::CompactRequest* request, ::import_sstpb::CompactResponse* response) { return this->Compact(context, request, response); }));}
    void SetMessageAllocatorFor_Compact(
        ::grpc::MessageAllocator< ::import_sstpb::CompactRequest, ::import_sstpb::CompactResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(4);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::CompactRequest, ::import_sstpb::CompactResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_Compact() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Compact(::grpc::ServerContext* /*context*/, const ::import_sstpb::CompactRequest* /*request*/, ::import_sstpb::CompactResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* Compact(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::CompactRequest* /*request*/, ::import_sstpb::CompactResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_SetDownloadSpeedLimit : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_SetDownloadSpeedLimit() {
      ::grpc::Service::MarkMethodCallback(5,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::SetDownloadSpeedLimitRequest, ::import_sstpb::SetDownloadSpeedLimitResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::SetDownloadSpeedLimitRequest* request, ::import_sstpb::SetDownloadSpeedLimitResponse* response) { return this->SetDownloadSpeedLimit(context, request, response); }));}
    void SetMessageAllocatorFor_SetDownloadSpeedLimit(
        ::grpc::MessageAllocator< ::import_sstpb::SetDownloadSpeedLimitRequest, ::import_sstpb::SetDownloadSpeedLimitResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(5);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::SetDownloadSpeedLimitRequest, ::import_sstpb::SetDownloadSpeedLimitResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_SetDownloadSpeedLimit() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SetDownloadSpeedLimit(::grpc::ServerContext* /*context*/, const ::import_sstpb::SetDownloadSpeedLimitRequest* /*request*/, ::import_sstpb::SetDownloadSpeedLimitResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* SetDownloadSpeedLimit(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::SetDownloadSpeedLimitRequest* /*request*/, ::import_sstpb::SetDownloadSpeedLimitResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_Download : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_Download() {
      ::grpc::Service::MarkMethodCallback(6,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::DownloadRequest, ::import_sstpb::DownloadResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::DownloadRequest* request, ::import_sstpb::DownloadResponse* response) { return this->Download(context, request, response); }));}
    void SetMessageAllocatorFor_Download(
        ::grpc::MessageAllocator< ::import_sstpb::DownloadRequest, ::import_sstpb::DownloadResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(6);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::DownloadRequest, ::import_sstpb::DownloadResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_Download() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Download(::grpc::ServerContext* /*context*/, const ::import_sstpb::DownloadRequest* /*request*/, ::import_sstpb::DownloadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* Download(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::DownloadRequest* /*request*/, ::import_sstpb::DownloadResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_Write : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_Write() {
      ::grpc::Service::MarkMethodCallback(7,
          new ::grpc::internal::CallbackClientStreamingHandler< ::import_sstpb::WriteRequest, ::import_sstpb::WriteResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, ::import_sstpb::WriteResponse* response) { return this->Write(context, response); }));
    }
    ~WithCallbackMethod_Write() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Write(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::WriteRequest>* /*reader*/, ::import_sstpb::WriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerReadReactor< ::import_sstpb::WriteRequest>* Write(
      ::grpc::CallbackServerContext* /*context*/, ::import_sstpb::WriteResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_RawWrite : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_RawWrite() {
      ::grpc::Service::MarkMethodCallback(8,
          new ::grpc::internal::CallbackClientStreamingHandler< ::import_sstpb::RawWriteRequest, ::import_sstpb::RawWriteResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, ::import_sstpb::RawWriteResponse* response) { return this->RawWrite(context, response); }));
    }
    ~WithCallbackMethod_RawWrite() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status RawWrite(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::RawWriteRequest>* /*reader*/, ::import_sstpb::RawWriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerReadReactor< ::import_sstpb::RawWriteRequest>* RawWrite(
      ::grpc::CallbackServerContext* /*context*/, ::import_sstpb::RawWriteResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_MultiIngest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_MultiIngest() {
      ::grpc::Service::MarkMethodCallback(9,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::MultiIngestRequest, ::import_sstpb::IngestResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::MultiIngestRequest* request, ::import_sstpb::IngestResponse* response) { return this->MultiIngest(context, request, response); }));}
    void SetMessageAllocatorFor_MultiIngest(
        ::grpc::MessageAllocator< ::import_sstpb::MultiIngestRequest, ::import_sstpb::IngestResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(9);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::MultiIngestRequest, ::import_sstpb::IngestResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_MultiIngest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status MultiIngest(::grpc::ServerContext* /*context*/, const ::import_sstpb::MultiIngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* MultiIngest(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::MultiIngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_DuplicateDetect : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_DuplicateDetect() {
      ::grpc::Service::MarkMethodCallback(10,
          new ::grpc::internal::CallbackServerStreamingHandler< ::import_sstpb::DuplicateDetectRequest, ::import_sstpb::DuplicateDetectResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::DuplicateDetectRequest* request) { return this->DuplicateDetect(context, request); }));
    }
    ~WithCallbackMethod_DuplicateDetect() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status DuplicateDetect(::grpc::ServerContext* /*context*/, const ::import_sstpb::DuplicateDetectRequest* /*request*/, ::grpc::ServerWriter< ::import_sstpb::DuplicateDetectResponse>* /*writer*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerWriteReactor< ::import_sstpb::DuplicateDetectResponse>* DuplicateDetect(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::DuplicateDetectRequest* /*request*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_Apply : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_Apply() {
      ::grpc::Service::MarkMethodCallback(11,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::ApplyRequest, ::import_sstpb::ApplyResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::ApplyRequest* request, ::import_sstpb::ApplyResponse* response) { return this->Apply(context, request, response); }));}
    void SetMessageAllocatorFor_Apply(
        ::grpc::MessageAllocator< ::import_sstpb::ApplyRequest, ::import_sstpb::ApplyResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(11);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::ApplyRequest, ::import_sstpb::ApplyResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_Apply() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Apply(::grpc::ServerContext* /*context*/, const ::import_sstpb::ApplyRequest* /*request*/, ::import_sstpb::ApplyResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* Apply(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::ApplyRequest* /*request*/, ::import_sstpb::ApplyResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_ClearFiles : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_ClearFiles() {
      ::grpc::Service::MarkMethodCallback(12,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::ClearRequest, ::import_sstpb::ClearResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::ClearRequest* request, ::import_sstpb::ClearResponse* response) { return this->ClearFiles(context, request, response); }));}
    void SetMessageAllocatorFor_ClearFiles(
        ::grpc::MessageAllocator< ::import_sstpb::ClearRequest, ::import_sstpb::ClearResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(12);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::ClearRequest, ::import_sstpb::ClearResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_ClearFiles() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status ClearFiles(::grpc::ServerContext* /*context*/, const ::import_sstpb::ClearRequest* /*request*/, ::import_sstpb::ClearResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* ClearFiles(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::ClearRequest* /*request*/, ::import_sstpb::ClearResponse* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithCallbackMethod_SuspendImportRPC : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithCallbackMethod_SuspendImportRPC() {
      ::grpc::Service::MarkMethodCallback(13,
          new ::grpc::internal::CallbackUnaryHandler< ::import_sstpb::SuspendImportRPCRequest, ::import_sstpb::SuspendImportRPCResponse>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::import_sstpb::SuspendImportRPCRequest* request, ::import_sstpb::SuspendImportRPCResponse* response) { return this->SuspendImportRPC(context, request, response); }));}
    void SetMessageAllocatorFor_SuspendImportRPC(
        ::grpc::MessageAllocator< ::import_sstpb::SuspendImportRPCRequest, ::import_sstpb::SuspendImportRPCResponse>* allocator) {
      ::grpc::internal::MethodHandler* const handler = ::grpc::Service::GetHandler(13);
      static_cast<::grpc::internal::CallbackUnaryHandler< ::import_sstpb::SuspendImportRPCRequest, ::import_sstpb::SuspendImportRPCResponse>*>(handler)
              ->SetMessageAllocator(allocator);
    }
    ~WithCallbackMethod_SuspendImportRPC() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SuspendImportRPC(::grpc::ServerContext* /*context*/, const ::import_sstpb::SuspendImportRPCRequest* /*request*/, ::import_sstpb::SuspendImportRPCResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* SuspendImportRPC(
      ::grpc::CallbackServerContext* /*context*/, const ::import_sstpb::SuspendImportRPCRequest* /*request*/, ::import_sstpb::SuspendImportRPCResponse* /*response*/)  { return nullptr; }
  };
  typedef WithCallbackMethod_SwitchMode<WithCallbackMethod_GetMode<WithCallbackMethod_Upload<WithCallbackMethod_Ingest<WithCallbackMethod_Compact<WithCallbackMethod_SetDownloadSpeedLimit<WithCallbackMethod_Download<WithCallbackMethod_Write<WithCallbackMethod_RawWrite<WithCallbackMethod_MultiIngest<WithCallbackMethod_DuplicateDetect<WithCallbackMethod_Apply<WithCallbackMethod_ClearFiles<WithCallbackMethod_SuspendImportRPC<Service > > > > > > > > > > > > > > CallbackService;
  typedef CallbackService ExperimentalCallbackService;
  template <class BaseClass>
  class WithGenericMethod_SwitchMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_SwitchMode() {
      ::grpc::Service::MarkMethodGeneric(0);
    }
    ~WithGenericMethod_SwitchMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SwitchMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::SwitchModeRequest* /*request*/, ::import_sstpb::SwitchModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_GetMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_GetMode() {
      ::grpc::Service::MarkMethodGeneric(1);
    }
    ~WithGenericMethod_GetMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status GetMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::GetModeRequest* /*request*/, ::import_sstpb::GetModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_Upload : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_Upload() {
      ::grpc::Service::MarkMethodGeneric(2);
    }
    ~WithGenericMethod_Upload() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Upload(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::UploadRequest>* /*reader*/, ::import_sstpb::UploadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_Ingest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_Ingest() {
      ::grpc::Service::MarkMethodGeneric(3);
    }
    ~WithGenericMethod_Ingest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Ingest(::grpc::ServerContext* /*context*/, const ::import_sstpb::IngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_Compact : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_Compact() {
      ::grpc::Service::MarkMethodGeneric(4);
    }
    ~WithGenericMethod_Compact() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Compact(::grpc::ServerContext* /*context*/, const ::import_sstpb::CompactRequest* /*request*/, ::import_sstpb::CompactResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_SetDownloadSpeedLimit : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_SetDownloadSpeedLimit() {
      ::grpc::Service::MarkMethodGeneric(5);
    }
    ~WithGenericMethod_SetDownloadSpeedLimit() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SetDownloadSpeedLimit(::grpc::ServerContext* /*context*/, const ::import_sstpb::SetDownloadSpeedLimitRequest* /*request*/, ::import_sstpb::SetDownloadSpeedLimitResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_Download : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_Download() {
      ::grpc::Service::MarkMethodGeneric(6);
    }
    ~WithGenericMethod_Download() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Download(::grpc::ServerContext* /*context*/, const ::import_sstpb::DownloadRequest* /*request*/, ::import_sstpb::DownloadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_Write : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_Write() {
      ::grpc::Service::MarkMethodGeneric(7);
    }
    ~WithGenericMethod_Write() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Write(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::WriteRequest>* /*reader*/, ::import_sstpb::WriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_RawWrite : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_RawWrite() {
      ::grpc::Service::MarkMethodGeneric(8);
    }
    ~WithGenericMethod_RawWrite() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status RawWrite(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::RawWriteRequest>* /*reader*/, ::import_sstpb::RawWriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_MultiIngest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_MultiIngest() {
      ::grpc::Service::MarkMethodGeneric(9);
    }
    ~WithGenericMethod_MultiIngest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status MultiIngest(::grpc::ServerContext* /*context*/, const ::import_sstpb::MultiIngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_DuplicateDetect : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_DuplicateDetect() {
      ::grpc::Service::MarkMethodGeneric(10);
    }
    ~WithGenericMethod_DuplicateDetect() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status DuplicateDetect(::grpc::ServerContext* /*context*/, const ::import_sstpb::DuplicateDetectRequest* /*request*/, ::grpc::ServerWriter< ::import_sstpb::DuplicateDetectResponse>* /*writer*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_Apply : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_Apply() {
      ::grpc::Service::MarkMethodGeneric(11);
    }
    ~WithGenericMethod_Apply() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Apply(::grpc::ServerContext* /*context*/, const ::import_sstpb::ApplyRequest* /*request*/, ::import_sstpb::ApplyResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_ClearFiles : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_ClearFiles() {
      ::grpc::Service::MarkMethodGeneric(12);
    }
    ~WithGenericMethod_ClearFiles() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status ClearFiles(::grpc::ServerContext* /*context*/, const ::import_sstpb::ClearRequest* /*request*/, ::import_sstpb::ClearResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithGenericMethod_SuspendImportRPC : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithGenericMethod_SuspendImportRPC() {
      ::grpc::Service::MarkMethodGeneric(13);
    }
    ~WithGenericMethod_SuspendImportRPC() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SuspendImportRPC(::grpc::ServerContext* /*context*/, const ::import_sstpb::SuspendImportRPCRequest* /*request*/, ::import_sstpb::SuspendImportRPCResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
  };
  template <class BaseClass>
  class WithRawMethod_SwitchMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_SwitchMode() {
      ::grpc::Service::MarkMethodRaw(0);
    }
    ~WithRawMethod_SwitchMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SwitchMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::SwitchModeRequest* /*request*/, ::import_sstpb::SwitchModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestSwitchMode(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(0, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_GetMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_GetMode() {
      ::grpc::Service::MarkMethodRaw(1);
    }
    ~WithRawMethod_GetMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status GetMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::GetModeRequest* /*request*/, ::import_sstpb::GetModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestGetMode(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(1, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_Upload : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_Upload() {
      ::grpc::Service::MarkMethodRaw(2);
    }
    ~WithRawMethod_Upload() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Upload(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::UploadRequest>* /*reader*/, ::import_sstpb::UploadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestUpload(::grpc::ServerContext* context, ::grpc::ServerAsyncReader< ::grpc::ByteBuffer, ::grpc::ByteBuffer>* reader, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncClientStreaming(2, context, reader, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_Ingest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_Ingest() {
      ::grpc::Service::MarkMethodRaw(3);
    }
    ~WithRawMethod_Ingest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Ingest(::grpc::ServerContext* /*context*/, const ::import_sstpb::IngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestIngest(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(3, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_Compact : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_Compact() {
      ::grpc::Service::MarkMethodRaw(4);
    }
    ~WithRawMethod_Compact() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Compact(::grpc::ServerContext* /*context*/, const ::import_sstpb::CompactRequest* /*request*/, ::import_sstpb::CompactResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestCompact(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(4, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_SetDownloadSpeedLimit : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_SetDownloadSpeedLimit() {
      ::grpc::Service::MarkMethodRaw(5);
    }
    ~WithRawMethod_SetDownloadSpeedLimit() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SetDownloadSpeedLimit(::grpc::ServerContext* /*context*/, const ::import_sstpb::SetDownloadSpeedLimitRequest* /*request*/, ::import_sstpb::SetDownloadSpeedLimitResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestSetDownloadSpeedLimit(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(5, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_Download : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_Download() {
      ::grpc::Service::MarkMethodRaw(6);
    }
    ~WithRawMethod_Download() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Download(::grpc::ServerContext* /*context*/, const ::import_sstpb::DownloadRequest* /*request*/, ::import_sstpb::DownloadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestDownload(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(6, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_Write : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_Write() {
      ::grpc::Service::MarkMethodRaw(7);
    }
    ~WithRawMethod_Write() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Write(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::WriteRequest>* /*reader*/, ::import_sstpb::WriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestWrite(::grpc::ServerContext* context, ::grpc::ServerAsyncReader< ::grpc::ByteBuffer, ::grpc::ByteBuffer>* reader, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncClientStreaming(7, context, reader, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_RawWrite : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_RawWrite() {
      ::grpc::Service::MarkMethodRaw(8);
    }
    ~WithRawMethod_RawWrite() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status RawWrite(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::RawWriteRequest>* /*reader*/, ::import_sstpb::RawWriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestRawWrite(::grpc::ServerContext* context, ::grpc::ServerAsyncReader< ::grpc::ByteBuffer, ::grpc::ByteBuffer>* reader, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncClientStreaming(8, context, reader, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_MultiIngest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_MultiIngest() {
      ::grpc::Service::MarkMethodRaw(9);
    }
    ~WithRawMethod_MultiIngest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status MultiIngest(::grpc::ServerContext* /*context*/, const ::import_sstpb::MultiIngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestMultiIngest(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(9, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_DuplicateDetect : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_DuplicateDetect() {
      ::grpc::Service::MarkMethodRaw(10);
    }
    ~WithRawMethod_DuplicateDetect() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status DuplicateDetect(::grpc::ServerContext* /*context*/, const ::import_sstpb::DuplicateDetectRequest* /*request*/, ::grpc::ServerWriter< ::import_sstpb::DuplicateDetectResponse>* /*writer*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestDuplicateDetect(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncWriter< ::grpc::ByteBuffer>* writer, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncServerStreaming(10, context, request, writer, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_Apply : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_Apply() {
      ::grpc::Service::MarkMethodRaw(11);
    }
    ~WithRawMethod_Apply() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Apply(::grpc::ServerContext* /*context*/, const ::import_sstpb::ApplyRequest* /*request*/, ::import_sstpb::ApplyResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestApply(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(11, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_ClearFiles : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_ClearFiles() {
      ::grpc::Service::MarkMethodRaw(12);
    }
    ~WithRawMethod_ClearFiles() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status ClearFiles(::grpc::ServerContext* /*context*/, const ::import_sstpb::ClearRequest* /*request*/, ::import_sstpb::ClearResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestClearFiles(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(12, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawMethod_SuspendImportRPC : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawMethod_SuspendImportRPC() {
      ::grpc::Service::MarkMethodRaw(13);
    }
    ~WithRawMethod_SuspendImportRPC() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SuspendImportRPC(::grpc::ServerContext* /*context*/, const ::import_sstpb::SuspendImportRPCRequest* /*request*/, ::import_sstpb::SuspendImportRPCResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    void RequestSuspendImportRPC(::grpc::ServerContext* context, ::grpc::ByteBuffer* request, ::grpc::ServerAsyncResponseWriter< ::grpc::ByteBuffer>* response, ::grpc::CompletionQueue* new_call_cq, ::grpc::ServerCompletionQueue* notification_cq, void *tag) {
      ::grpc::Service::RequestAsyncUnary(13, context, request, response, new_call_cq, notification_cq, tag);
    }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_SwitchMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_SwitchMode() {
      ::grpc::Service::MarkMethodRawCallback(0,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->SwitchMode(context, request, response); }));
    }
    ~WithRawCallbackMethod_SwitchMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SwitchMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::SwitchModeRequest* /*request*/, ::import_sstpb::SwitchModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* SwitchMode(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_GetMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_GetMode() {
      ::grpc::Service::MarkMethodRawCallback(1,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->GetMode(context, request, response); }));
    }
    ~WithRawCallbackMethod_GetMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status GetMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::GetModeRequest* /*request*/, ::import_sstpb::GetModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* GetMode(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_Upload : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_Upload() {
      ::grpc::Service::MarkMethodRawCallback(2,
          new ::grpc::internal::CallbackClientStreamingHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, ::grpc::ByteBuffer* response) { return this->Upload(context, response); }));
    }
    ~WithRawCallbackMethod_Upload() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Upload(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::UploadRequest>* /*reader*/, ::import_sstpb::UploadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerReadReactor< ::grpc::ByteBuffer>* Upload(
      ::grpc::CallbackServerContext* /*context*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_Ingest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_Ingest() {
      ::grpc::Service::MarkMethodRawCallback(3,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->Ingest(context, request, response); }));
    }
    ~WithRawCallbackMethod_Ingest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Ingest(::grpc::ServerContext* /*context*/, const ::import_sstpb::IngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* Ingest(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_Compact : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_Compact() {
      ::grpc::Service::MarkMethodRawCallback(4,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->Compact(context, request, response); }));
    }
    ~WithRawCallbackMethod_Compact() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Compact(::grpc::ServerContext* /*context*/, const ::import_sstpb::CompactRequest* /*request*/, ::import_sstpb::CompactResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* Compact(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_SetDownloadSpeedLimit : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_SetDownloadSpeedLimit() {
      ::grpc::Service::MarkMethodRawCallback(5,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->SetDownloadSpeedLimit(context, request, response); }));
    }
    ~WithRawCallbackMethod_SetDownloadSpeedLimit() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SetDownloadSpeedLimit(::grpc::ServerContext* /*context*/, const ::import_sstpb::SetDownloadSpeedLimitRequest* /*request*/, ::import_sstpb::SetDownloadSpeedLimitResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* SetDownloadSpeedLimit(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_Download : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_Download() {
      ::grpc::Service::MarkMethodRawCallback(6,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->Download(context, request, response); }));
    }
    ~WithRawCallbackMethod_Download() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Download(::grpc::ServerContext* /*context*/, const ::import_sstpb::DownloadRequest* /*request*/, ::import_sstpb::DownloadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* Download(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_Write : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_Write() {
      ::grpc::Service::MarkMethodRawCallback(7,
          new ::grpc::internal::CallbackClientStreamingHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, ::grpc::ByteBuffer* response) { return this->Write(context, response); }));
    }
    ~WithRawCallbackMethod_Write() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Write(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::WriteRequest>* /*reader*/, ::import_sstpb::WriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerReadReactor< ::grpc::ByteBuffer>* Write(
      ::grpc::CallbackServerContext* /*context*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_RawWrite : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_RawWrite() {
      ::grpc::Service::MarkMethodRawCallback(8,
          new ::grpc::internal::CallbackClientStreamingHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, ::grpc::ByteBuffer* response) { return this->RawWrite(context, response); }));
    }
    ~WithRawCallbackMethod_RawWrite() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status RawWrite(::grpc::ServerContext* /*context*/, ::grpc::ServerReader< ::import_sstpb::RawWriteRequest>* /*reader*/, ::import_sstpb::RawWriteResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerReadReactor< ::grpc::ByteBuffer>* RawWrite(
      ::grpc::CallbackServerContext* /*context*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_MultiIngest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_MultiIngest() {
      ::grpc::Service::MarkMethodRawCallback(9,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->MultiIngest(context, request, response); }));
    }
    ~WithRawCallbackMethod_MultiIngest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status MultiIngest(::grpc::ServerContext* /*context*/, const ::import_sstpb::MultiIngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* MultiIngest(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_DuplicateDetect : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_DuplicateDetect() {
      ::grpc::Service::MarkMethodRawCallback(10,
          new ::grpc::internal::CallbackServerStreamingHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const::grpc::ByteBuffer* request) { return this->DuplicateDetect(context, request); }));
    }
    ~WithRawCallbackMethod_DuplicateDetect() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status DuplicateDetect(::grpc::ServerContext* /*context*/, const ::import_sstpb::DuplicateDetectRequest* /*request*/, ::grpc::ServerWriter< ::import_sstpb::DuplicateDetectResponse>* /*writer*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerWriteReactor< ::grpc::ByteBuffer>* DuplicateDetect(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_Apply : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_Apply() {
      ::grpc::Service::MarkMethodRawCallback(11,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->Apply(context, request, response); }));
    }
    ~WithRawCallbackMethod_Apply() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status Apply(::grpc::ServerContext* /*context*/, const ::import_sstpb::ApplyRequest* /*request*/, ::import_sstpb::ApplyResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* Apply(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_ClearFiles : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_ClearFiles() {
      ::grpc::Service::MarkMethodRawCallback(12,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->ClearFiles(context, request, response); }));
    }
    ~WithRawCallbackMethod_ClearFiles() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status ClearFiles(::grpc::ServerContext* /*context*/, const ::import_sstpb::ClearRequest* /*request*/, ::import_sstpb::ClearResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* ClearFiles(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithRawCallbackMethod_SuspendImportRPC : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithRawCallbackMethod_SuspendImportRPC() {
      ::grpc::Service::MarkMethodRawCallback(13,
          new ::grpc::internal::CallbackUnaryHandler< ::grpc::ByteBuffer, ::grpc::ByteBuffer>(
            [this](
                   ::grpc::CallbackServerContext* context, const ::grpc::ByteBuffer* request, ::grpc::ByteBuffer* response) { return this->SuspendImportRPC(context, request, response); }));
    }
    ~WithRawCallbackMethod_SuspendImportRPC() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable synchronous version of this method
    ::grpc::Status SuspendImportRPC(::grpc::ServerContext* /*context*/, const ::import_sstpb::SuspendImportRPCRequest* /*request*/, ::import_sstpb::SuspendImportRPCResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    virtual ::grpc::ServerUnaryReactor* SuspendImportRPC(
      ::grpc::CallbackServerContext* /*context*/, const ::grpc::ByteBuffer* /*request*/, ::grpc::ByteBuffer* /*response*/)  { return nullptr; }
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_SwitchMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_SwitchMode() {
      ::grpc::Service::MarkMethodStreamed(0,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::SwitchModeRequest, ::import_sstpb::SwitchModeResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::SwitchModeRequest, ::import_sstpb::SwitchModeResponse>* streamer) {
                       return this->StreamedSwitchMode(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_SwitchMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status SwitchMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::SwitchModeRequest* /*request*/, ::import_sstpb::SwitchModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedSwitchMode(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::SwitchModeRequest,::import_sstpb::SwitchModeResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_GetMode : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_GetMode() {
      ::grpc::Service::MarkMethodStreamed(1,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::GetModeRequest, ::import_sstpb::GetModeResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::GetModeRequest, ::import_sstpb::GetModeResponse>* streamer) {
                       return this->StreamedGetMode(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_GetMode() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status GetMode(::grpc::ServerContext* /*context*/, const ::import_sstpb::GetModeRequest* /*request*/, ::import_sstpb::GetModeResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedGetMode(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::GetModeRequest,::import_sstpb::GetModeResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_Ingest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_Ingest() {
      ::grpc::Service::MarkMethodStreamed(3,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::IngestRequest, ::import_sstpb::IngestResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::IngestRequest, ::import_sstpb::IngestResponse>* streamer) {
                       return this->StreamedIngest(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_Ingest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status Ingest(::grpc::ServerContext* /*context*/, const ::import_sstpb::IngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedIngest(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::IngestRequest,::import_sstpb::IngestResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_Compact : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_Compact() {
      ::grpc::Service::MarkMethodStreamed(4,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::CompactRequest, ::import_sstpb::CompactResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::CompactRequest, ::import_sstpb::CompactResponse>* streamer) {
                       return this->StreamedCompact(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_Compact() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status Compact(::grpc::ServerContext* /*context*/, const ::import_sstpb::CompactRequest* /*request*/, ::import_sstpb::CompactResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedCompact(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::CompactRequest,::import_sstpb::CompactResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_SetDownloadSpeedLimit : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_SetDownloadSpeedLimit() {
      ::grpc::Service::MarkMethodStreamed(5,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::SetDownloadSpeedLimitRequest, ::import_sstpb::SetDownloadSpeedLimitResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::SetDownloadSpeedLimitRequest, ::import_sstpb::SetDownloadSpeedLimitResponse>* streamer) {
                       return this->StreamedSetDownloadSpeedLimit(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_SetDownloadSpeedLimit() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status SetDownloadSpeedLimit(::grpc::ServerContext* /*context*/, const ::import_sstpb::SetDownloadSpeedLimitRequest* /*request*/, ::import_sstpb::SetDownloadSpeedLimitResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedSetDownloadSpeedLimit(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::SetDownloadSpeedLimitRequest,::import_sstpb::SetDownloadSpeedLimitResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_Download : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_Download() {
      ::grpc::Service::MarkMethodStreamed(6,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::DownloadRequest, ::import_sstpb::DownloadResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::DownloadRequest, ::import_sstpb::DownloadResponse>* streamer) {
                       return this->StreamedDownload(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_Download() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status Download(::grpc::ServerContext* /*context*/, const ::import_sstpb::DownloadRequest* /*request*/, ::import_sstpb::DownloadResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedDownload(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::DownloadRequest,::import_sstpb::DownloadResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_MultiIngest : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_MultiIngest() {
      ::grpc::Service::MarkMethodStreamed(9,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::MultiIngestRequest, ::import_sstpb::IngestResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::MultiIngestRequest, ::import_sstpb::IngestResponse>* streamer) {
                       return this->StreamedMultiIngest(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_MultiIngest() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status MultiIngest(::grpc::ServerContext* /*context*/, const ::import_sstpb::MultiIngestRequest* /*request*/, ::import_sstpb::IngestResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedMultiIngest(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::MultiIngestRequest,::import_sstpb::IngestResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_Apply : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_Apply() {
      ::grpc::Service::MarkMethodStreamed(11,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::ApplyRequest, ::import_sstpb::ApplyResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::ApplyRequest, ::import_sstpb::ApplyResponse>* streamer) {
                       return this->StreamedApply(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_Apply() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status Apply(::grpc::ServerContext* /*context*/, const ::import_sstpb::ApplyRequest* /*request*/, ::import_sstpb::ApplyResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedApply(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::ApplyRequest,::import_sstpb::ApplyResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_ClearFiles : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_ClearFiles() {
      ::grpc::Service::MarkMethodStreamed(12,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::ClearRequest, ::import_sstpb::ClearResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::ClearRequest, ::import_sstpb::ClearResponse>* streamer) {
                       return this->StreamedClearFiles(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_ClearFiles() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status ClearFiles(::grpc::ServerContext* /*context*/, const ::import_sstpb::ClearRequest* /*request*/, ::import_sstpb::ClearResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedClearFiles(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::ClearRequest,::import_sstpb::ClearResponse>* server_unary_streamer) = 0;
  };
  template <class BaseClass>
  class WithStreamedUnaryMethod_SuspendImportRPC : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithStreamedUnaryMethod_SuspendImportRPC() {
      ::grpc::Service::MarkMethodStreamed(13,
        new ::grpc::internal::StreamedUnaryHandler<
          ::import_sstpb::SuspendImportRPCRequest, ::import_sstpb::SuspendImportRPCResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerUnaryStreamer<
                     ::import_sstpb::SuspendImportRPCRequest, ::import_sstpb::SuspendImportRPCResponse>* streamer) {
                       return this->StreamedSuspendImportRPC(context,
                         streamer);
                  }));
    }
    ~WithStreamedUnaryMethod_SuspendImportRPC() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status SuspendImportRPC(::grpc::ServerContext* /*context*/, const ::import_sstpb::SuspendImportRPCRequest* /*request*/, ::import_sstpb::SuspendImportRPCResponse* /*response*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with streamed unary
    virtual ::grpc::Status StreamedSuspendImportRPC(::grpc::ServerContext* context, ::grpc::ServerUnaryStreamer< ::import_sstpb::SuspendImportRPCRequest,::import_sstpb::SuspendImportRPCResponse>* server_unary_streamer) = 0;
  };
  typedef WithStreamedUnaryMethod_SwitchMode<WithStreamedUnaryMethod_GetMode<WithStreamedUnaryMethod_Ingest<WithStreamedUnaryMethod_Compact<WithStreamedUnaryMethod_SetDownloadSpeedLimit<WithStreamedUnaryMethod_Download<WithStreamedUnaryMethod_MultiIngest<WithStreamedUnaryMethod_Apply<WithStreamedUnaryMethod_ClearFiles<WithStreamedUnaryMethod_SuspendImportRPC<Service > > > > > > > > > > StreamedUnaryService;
  template <class BaseClass>
  class WithSplitStreamingMethod_DuplicateDetect : public BaseClass {
   private:
    void BaseClassMustBeDerivedFromService(const Service* /*service*/) {}
   public:
    WithSplitStreamingMethod_DuplicateDetect() {
      ::grpc::Service::MarkMethodStreamed(10,
        new ::grpc::internal::SplitServerStreamingHandler<
          ::import_sstpb::DuplicateDetectRequest, ::import_sstpb::DuplicateDetectResponse>(
            [this](::grpc::ServerContext* context,
                   ::grpc::ServerSplitStreamer<
                     ::import_sstpb::DuplicateDetectRequest, ::import_sstpb::DuplicateDetectResponse>* streamer) {
                       return this->StreamedDuplicateDetect(context,
                         streamer);
                  }));
    }
    ~WithSplitStreamingMethod_DuplicateDetect() override {
      BaseClassMustBeDerivedFromService(this);
    }
    // disable regular version of this method
    ::grpc::Status DuplicateDetect(::grpc::ServerContext* /*context*/, const ::import_sstpb::DuplicateDetectRequest* /*request*/, ::grpc::ServerWriter< ::import_sstpb::DuplicateDetectResponse>* /*writer*/) override {
      abort();
      return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
    }
    // replace default version of method with split streamed
    virtual ::grpc::Status StreamedDuplicateDetect(::grpc::ServerContext* context, ::grpc::ServerSplitStreamer< ::import_sstpb::DuplicateDetectRequest,::import_sstpb::DuplicateDetectResponse>* server_split_streamer) = 0;
  };
  typedef WithSplitStreamingMethod_DuplicateDetect<Service > SplitStreamedService;
  typedef WithStreamedUnaryMethod_SwitchMode<WithStreamedUnaryMethod_GetMode<WithStreamedUnaryMethod_Ingest<WithStreamedUnaryMethod_Compact<WithStreamedUnaryMethod_SetDownloadSpeedLimit<WithStreamedUnaryMethod_Download<WithStreamedUnaryMethod_MultiIngest<WithSplitStreamingMethod_DuplicateDetect<WithStreamedUnaryMethod_Apply<WithStreamedUnaryMethod_ClearFiles<WithStreamedUnaryMethod_SuspendImportRPC<Service > > > > > > > > > > > StreamedService;
};

}  // namespace import_sstpb


#endif  // GRPC_import_5fsstpb_2eproto__INCLUDED
